# Uses of Class
net.shibboleth.idp.authn.context.SubjectContext

Packages that use SubjectContext
Package
Description
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.
net.shibboleth.idp.authn.context.impl
Implementation classes related to authentication contexts.
net.shibboleth.idp.authn.context.navigate
Functions for traversing authentication contexts.
net.shibboleth.idp.saml.nameid.impl
Implementation of SAML `NameID` and `NameIdentifier` generation and consumption.
net.shibboleth.idp.saml.saml2.profile.config.navigate
Functions to navigate into SAML 2 profile configuration information.
net.shibboleth.idp.saml.saml2.profile.impl
Profile processing actions related to SAML 2 messages.
net.shibboleth.idp.session.impl
Implementations of session-related classes and interfaces.

## Uses of SubjectContext in net.shibboleth.idp.authn.context

Methods in net.shibboleth.idp.authn.context that return SubjectContext
Modifier and Type
Method
Description
`SubjectContext`
SubjectContext.`setImpersonatingPrincipalName(String name)`
Set the canonical principal name of an identity that is impersonating the subject.
`SubjectContext`
SubjectContext.`setPrincipalName(String name)`
Set the canonical principal name of the subject.

## Uses of SubjectContext in net.shibboleth.idp.authn.context.impl

Fields in net.shibboleth.idp.authn.context.impl with type parameters of type SubjectContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SubjectContext>`
SubjectDerivedAttributesFunction.`scLookupStrategy`
Strategy used to locate the `SubjectContext` to use.
`private Function<ProfileRequestContext,SubjectContext>`
SubjectDerivedAttributeValuesFunction.`scLookupStrategy`
Strategy used to locate the `SubjectContext` to use.
`private Function<ProfileRequestContext,SubjectContext>`
SubjectScriptContextExtender.`subjectContextLookupStrategy`
Strategy used to locate the `SubjectContext` to use.
Method parameters in net.shibboleth.idp.authn.context.impl with type arguments of type SubjectContext
Modifier and Type
Method
Description
`void`
SubjectDerivedAttributesFunction.`setSubjectContextLookupStrategy(Function<ProfileRequestContext,SubjectContext> strategy)`
Sets the strategy used to locate the `SubjectContext` associated with a given `AttributeResolutionContext`.
`void`
SubjectDerivedAttributeValuesFunction.`setSubjectContextLookupStrategy(Function<ProfileRequestContext,SubjectContext> strategy)`
Sets the strategy used to locate the `SubjectContext` associated with a given `AttributeResolutionContext`.
`void`
SubjectScriptContextExtender.`setSubjectContextLookupStrategy(Function<ProfileRequestContext,SubjectContext> strategy)`
Set the strategy used to locate the `SubjectContext`.

## Uses of SubjectContext in net.shibboleth.idp.authn.context.navigate

Methods in net.shibboleth.idp.authn.context.navigate with parameters of type SubjectContext
Modifier and Type
Method
Description
`String`
SubjectContextImpersonatingPrincipalLookupFunction.`apply(SubjectContext input)`
`String`
SubjectContextPrincipalLookupFunction.`apply(SubjectContext input)`

## Uses of SubjectContext in net.shibboleth.idp.saml.nameid.impl

Fields in net.shibboleth.idp.saml.nameid.impl with type parameters of type SubjectContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SubjectContext>`
PersistentSAML2NameIDGenerator.`subjectContextLookupStrategy`
Strategy function to lookup SubjectContext.
`private Function<ProfileRequestContext,SubjectContext>`
TransientSAML1NameIdentifierGenerator.`subjectContextLookupStrategy`
Strategy function to lookup SubjectContext.
`private Function<ProfileRequestContext,SubjectContext>`
TransientSAML2NameIDGenerator.`subjectContextLookupStrategy`
Strategy function to lookup SubjectContext.
Method parameters in net.shibboleth.idp.saml.nameid.impl with type arguments of type SubjectContext
Modifier and Type
Method
Description
`void`
PersistentSAML2NameIDGenerator.`setSubjectContextLookupStrategy(Function<ProfileRequestContext,SubjectContext> strategy)`
Set the lookup strategy to use to locate the `SubjectContext`.
`void`
TransientSAML1NameIdentifierGenerator.`setSubjectContextLookupStrategy(Function<ProfileRequestContext,SubjectContext> strategy)`
Set the lookup strategy to use to locate the `SubjectContext`.
`void`
TransientSAML2NameIDGenerator.`setSubjectContextLookupStrategy(Function<ProfileRequestContext,SubjectContext> strategy)`
Set the lookup strategy to use to locate the `SubjectContext`.

## Uses of SubjectContext in net.shibboleth.idp.saml.saml2.profile.config.navigate

Fields in net.shibboleth.idp.saml.saml2.profile.config.navigate with type parameters of type SubjectContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SubjectContext>`
ProxyRestrictionLookupFunction.`subjectContextLookupStrategy`
SubjectContext lookup strategy.
Method parameters in net.shibboleth.idp.saml.saml2.profile.config.navigate with type arguments of type SubjectContext
Modifier and Type
Method
Description
`void`
ProxyRestrictionLookupFunction.`setSubjectContextLookupStrategy(Function<ProfileRequestContext,SubjectContext> strategy)`
Set the lookup strategy to locate the `SubjectContext`.

## Uses of SubjectContext in net.shibboleth.idp.saml.saml2.profile.impl

Fields in net.shibboleth.idp.saml.saml2.profile.impl with type parameters of type SubjectContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SubjectContext>`
ProcessLogoutRequest.`subjectContextCreationStrategy`
Creation/lookup function for SubjectContext.
Method parameters in net.shibboleth.idp.saml.saml2.profile.impl with type arguments of type SubjectContext
Modifier and Type
Method
Description
`void`
ProcessLogoutRequest.`setSubjectContextCreationStrategy(Function<ProfileRequestContext,SubjectContext> strategy)`
Set the creation/lookup strategy for the `SubjectContext` to populate.

## Uses of SubjectContext in net.shibboleth.idp.session.impl

Fields in net.shibboleth.idp.session.impl declared as SubjectContext
Modifier and Type
Field
Description
`private SubjectContext`
UpdateSessionWithAuthenticationResult.`subjectCtx`
Existing SubjectContext.
Fields in net.shibboleth.idp.session.impl with type parameters of type SubjectContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SubjectContext>`
ProcessLogout.`subjectContextCreationStrategy`
Creation/lookup function for SubjectContext.
`private Function<ProfileRequestContext,SubjectContext>`
UpdateSessionWithAuthenticationResult.`subjectContextLookupStrategy`
Lookup function for SubjectContext.
Method parameters in net.shibboleth.idp.session.impl with type arguments of type SubjectContext
Modifier and Type
Method
Description
`void`
ProcessLogout.`setSubjectContextCreationStrategy(Function<ProfileRequestContext,SubjectContext> strategy)`
Set the creation/lookup strategy for the SubjectContext to populate.
`void`
UpdateSessionWithAuthenticationResult.`setSubjectContextLookupStrategy(Function<ProfileRequestContext,SubjectContext> strategy)`
Set the lookup strategy for the SubjectContext to access.